| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyDayScheduleRequest Class Reference
Time Destination

Modify Day Schedule request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
enum unsp__DnModifyType | ModifyType
| Modify Type. More...
xsd__string | TimeDestinationName
| The name of the Time Destination to which Day Schedules are assigned. More...
xsd__string | DayScheduleNameSun
| The name of an existing Day Schedule to assign to the Time Destination for Sunday. More...
xsd__string | DayScheduleNameMon
| The name of an existing Day Schedule to assign to the Time Destination for Monday. More...
xsd__string | DayScheduleNameTue
| The name of an existing Day Schedule to assign to the Time Destination for Tuesday. More...
xsd__string | DayScheduleNameWed
| The name of an existing Day Schedule to assign to the Time Destination for Wednesday. More...
xsd__string | DayScheduleNameThu
| The name of an existing Day Schedule to assign to the Time Destination for Thursday. More...
xsd__string | DayScheduleNameFri
| The name of an existing Day Schedule to assign to the Time Destination for Friday. More...
xsd__string | DayScheduleNameSat
| The name of an existing Day Schedule to assign to the Time Destination for Saturday. More...

## Detailed Description

Modify Day Schedule request.

Used by unsp__modifyDaySchedule()

## Member Data Documentation

## ◆ DayScheduleNameFri

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameFri

The name of an existing Day Schedule to assign to the Time Destination for Friday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameMon

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameMon

The name of an existing Day Schedule to assign to the Time Destination for Monday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameSat

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameSat

The name of an existing Day Schedule to assign to the Time Destination for Saturday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameSun

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameSun

The name of an existing Day Schedule to assign to the Time Destination for Sunday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameThu

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameThu

The name of an existing Day Schedule to assign to the Time Destination for Thursday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameTue

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameTue

The name of an existing Day Schedule to assign to the Time Destination for Tuesday.

required: false
default value[range]: NA [1..15]

## ◆ DayScheduleNameWed

xsd__string unsp__ModifyDayScheduleRequest::DayScheduleNameWed

The name of an existing Day Schedule to assign to the Time Destination for Wednesday.

required: false
default value[range]: NA [1..15]

## ◆ ModifyType

enum unsp__DnModifyType unsp__ModifyDayScheduleRequest::ModifyType

Modify Type.

required: false
default value[range]: MtModify

## ◆ OperatorId

xsd__string unsp__ModifyDayScheduleRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ TimeDestinationName

xsd__string unsp__ModifyDayScheduleRequest::TimeDestinationName

The name of the Time Destination to which Day Schedules are assigned.

required: true
default value[range]: NA [1..15]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h